Package ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost

# Class ForpostConstants

java.lang.Object
ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostConstants

    public class ForpostConstants
    extends java.lang.Object

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static java.lang.String` | `PARAM_ACCOUNT_ID` |
  `static java.lang.String` | `PARAM_ACCOUNT_OBJECT_ID` |
  `static java.lang.String` | `PARAM_ADDRESS` |
  `static java.lang.String` | `PARAM_AUTH_PROVIDER_ID` |
  `static java.lang.String` | `PARAM_BIND_ACCOUNT_ID` |
  `static java.lang.String` | `PARAM_CAMERA_ID` |
  `static java.lang.String` | `PARAM_CAMERA_MODEL_ID` |
  `static java.lang.String` | `PARAM_CAN_CHANGE_OWN_INFO` |
  `static java.lang.String` | `PARAM_CHANGE_PASSWORD_AT_NEXT_LOGIN` |
  `static java.lang.String` | `PARAM_CHANNEL` |
  `static java.lang.String` | `PARAM_CONTRACT_NUMBER` |
  `static java.lang.String` | `PARAM_EMAIL` |
  `static java.lang.String` | `PARAM_FIO` |
  `static java.lang.String` | `PARAM_HTTP_PORT` |
  `static java.lang.String` | `PARAM_ID` |
  `static java.lang.String` | `PARAM_INCLUDE_PARENT_GROUPS` |
  `static java.lang.String` | `PARAM_IP_OR_DOMAIN` |
  `static java.lang.String` | `PARAM_IS_ACTIVE` |
  `static java.lang.String` | `PARAM_IS_READ_ONLY` |
  `static java.lang.String` | `PARAM_IS_SOUND` |
  `static java.lang.String` | `PARAM_LAT` |
  `static java.lang.String` | `PARAM_LIGHT_CAMERA_BUFFER_ENABLED` |
  `static java.lang.String` | `PARAM_LOGIN` |
  `static java.lang.String` | `PARAM_LON` |
  `static java.lang.String` | `PARAM_MAC` |
  `static java.lang.String` | `PARAM_MASTER_ID` |
  `static java.lang.String` | `PARAM_MAX_BANDWIDTH` |
  `static java.lang.String` | `PARAM_MAX_CAMERA_ARCHIVAL_TRANSLATION_COUNT` |
  `static java.lang.String` | `PARAM_MAX_CAMERA_COUNT` |
  `static java.lang.String` | `PARAM_MAX_CAMERA_ONLINE_TRANSLATION_COUNT` |
  `static java.lang.String` | `PARAM_MAX_CAMERA_USER_ARCHIVAL_TRANSLATION_COUNT` |
  `static java.lang.String` | `PARAM_MAX_CAMERA_USER_ONLINE_TRANSLATION_COUNT` |
  `static java.lang.String` | `PARAM_MAX_LOGIN_COUNT` |
  `static java.lang.String` | `PARAM_MJPEG` |
  `static java.lang.String` | `PARAM_NAME` |
  `static java.lang.String` | `PARAM_NETWORK_IP` |
  `static java.lang.String` | `PARAM_NETWORK_MASK` |
  `static java.lang.String` | `PARAM_PARENT_ID` |
  `static java.lang.String` | `PARAM_PASSWORD` |
  `static java.lang.String` | `PARAM_PHONE` |
  `static java.lang.String` | `PARAM_PORT` |
  `static java.lang.String` | `PARAM_PROTOCOL` |
  `static java.lang.String` | `PARAM_PTZ_TYPE_ID` |
  `static java.lang.String` | `PARAM_QUOTA` |
  `static java.lang.String` | `PARAM_RECORD_TYPE` |
  `static java.lang.String` | `PARAM_RTSP_TRANSPORT` |
  `static java.lang.String` | `PARAM_SECRET_KEY` |
  `static java.lang.String` | `PARAM_SKIP_CAMERA_CHECK` |
  `static java.lang.String` | `PARAM_SYNC_CAMERA` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ForpostConstants()` |

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PARAM_ACCOUNT_ID

    public static final java.lang.String PARAM_ACCOUNT_ID
    See Also:
      Constant Field Values

  - ### PARAM_ACCOUNT_OBJECT_ID

    public static final java.lang.String PARAM_ACCOUNT_OBJECT_ID
    See Also:
      Constant Field Values

  - ### PARAM_ADDRESS

    public static final java.lang.String PARAM_ADDRESS
    See Also:
      Constant Field Values

  - ### PARAM_AUTH_PROVIDER_ID

    public static final java.lang.String PARAM_AUTH_PROVIDER_ID
    See Also:
      Constant Field Values

  - ### PARAM_BIND_ACCOUNT_ID

    public static final java.lang.String PARAM_BIND_ACCOUNT_ID
    See Also:
      Constant Field Values

  - ### PARAM_CAMERA_ID

    public static final java.lang.String PARAM_CAMERA_ID
    See Also:
      Constant Field Values

  - ### PARAM_CAMERA_MODEL_ID

    public static final java.lang.String PARAM_CAMERA_MODEL_ID
    See Also:
      Constant Field Values

  - ### PARAM_CAN_CHANGE_OWN_INFO

    public static final java.lang.String PARAM_CAN_CHANGE_OWN_INFO
    See Also:
      Constant Field Values

  - ### PARAM_EMAIL

    public static final java.lang.String PARAM_EMAIL
    See Also:
      Constant Field Values

  - ### PARAM_FIO

    public static final java.lang.String PARAM_FIO
    See Also:
      Constant Field Values

  - ### PARAM_HTTP_PORT

    public static final java.lang.String PARAM_HTTP_PORT
    See Also:
      Constant Field Values

  - ### PARAM_LOGIN

    public static final java.lang.String PARAM_LOGIN
    See Also:
      Constant Field Values

  - ### PARAM_NAME

    public static final java.lang.String PARAM_NAME
    See Also:
      Constant Field Values

  - ### PARAM_ID

    public static final java.lang.String PARAM_ID
    See Also:
      Constant Field Values

  - ### PARAM_INCLUDE_PARENT_GROUPS

    public static final java.lang.String PARAM_INCLUDE_PARENT_GROUPS
    See Also:
      Constant Field Values

  - ### PARAM_IP_OR_DOMAIN

    public static final java.lang.String PARAM_IP_OR_DOMAIN
    See Also:
      Constant Field Values

  - ### PARAM_IS_ACTIVE

    public static final java.lang.String PARAM_IS_ACTIVE
    See Also:
      Constant Field Values

  - ### PARAM_IS_READ_ONLY

    public static final java.lang.String PARAM_IS_READ_ONLY
    See Also:
      Constant Field Values

  - ### PARAM_IS_SOUND

    public static final java.lang.String PARAM_IS_SOUND
    See Also:
      Constant Field Values

  - ### PARAM_CHANGE_PASSWORD_AT_NEXT_LOGIN

    public static final java.lang.String PARAM_CHANGE_PASSWORD_AT_NEXT_LOGIN
    See Also:
      Constant Field Values

  - ### PARAM_MAX_CAMERA_COUNT

    public static final java.lang.String PARAM_MAX_CAMERA_COUNT
    See Also:
      Constant Field Values

  - ### PARAM_MAX_CAMERA_ONLINE_TRANSLATION_COUNT

    public static final java.lang.String PARAM_MAX_CAMERA_ONLINE_TRANSLATION_COUNT
    See Also:
      Constant Field Values

  - ### PARAM_MAX_CAMERA_USER_ONLINE_TRANSLATION_COUNT

    public static final java.lang.String PARAM_MAX_CAMERA_USER_ONLINE_TRANSLATION_COUNT
    See Also:
      Constant Field Values

  - ### PARAM_MAX_CAMERA_ARCHIVAL_TRANSLATION_COUNT

    public static final java.lang.String PARAM_MAX_CAMERA_ARCHIVAL_TRANSLATION_COUNT
    See Also:
      Constant Field Values

  - ### PARAM_MAX_CAMERA_USER_ARCHIVAL_TRANSLATION_COUNT

    public static final java.lang.String PARAM_MAX_CAMERA_USER_ARCHIVAL_TRANSLATION_COUNT
    See Also:
      Constant Field Values

  - ### PARAM_MAX_LOGIN_COUNT

    public static final java.lang.String PARAM_MAX_LOGIN_COUNT
    See Also:
      Constant Field Values

  - ### PARAM_MAX_BANDWIDTH

    public static final java.lang.String PARAM_MAX_BANDWIDTH
    See Also:
      Constant Field Values

  - ### PARAM_PROTOCOL

    public static final java.lang.String PARAM_PROTOCOL
    See Also:
      Constant Field Values

  - ### PARAM_PASSWORD

    public static final java.lang.String PARAM_PASSWORD
    See Also:
      Constant Field Values

  - ### PARAM_RECORD_TYPE

    public static final java.lang.String PARAM_RECORD_TYPE
    See Also:
      Constant Field Values

  - ### PARAM_PHONE

    public static final java.lang.String PARAM_PHONE
    See Also:
      Constant Field Values

  - ### PARAM_PORT

    public static final java.lang.String PARAM_PORT
    See Also:
      Constant Field Values

  - ### PARAM_MASTER_ID

    public static final java.lang.String PARAM_MASTER_ID
    See Also:
      Constant Field Values

  - ### PARAM_MJPEG

    public static final java.lang.String PARAM_MJPEG
    See Also:
      Constant Field Values

  - ### PARAM_SKIP_CAMERA_CHECK

    public static final java.lang.String PARAM_SKIP_CAMERA_CHECK
    See Also:
      Constant Field Values

  - ### PARAM_LAT

    public static final java.lang.String PARAM_LAT
    See Also:
      Constant Field Values

  - ### PARAM_LON

    public static final java.lang.String PARAM_LON
    See Also:
      Constant Field Values

  - ### PARAM_RTSP_TRANSPORT

    public static final java.lang.String PARAM_RTSP_TRANSPORT
    See Also:
      Constant Field Values

  - ### PARAM_PTZ_TYPE_ID

    public static final java.lang.String PARAM_PTZ_TYPE_ID
    See Also:
      Constant Field Values

  - ### PARAM_QUOTA

    public static final java.lang.String PARAM_QUOTA
    See Also:
      Constant Field Values

  - ### PARAM_MAC

    public static final java.lang.String PARAM_MAC
    See Also:
      Constant Field Values

  - ### PARAM_CHANNEL

    public static final java.lang.String PARAM_CHANNEL
    See Also:
      Constant Field Values

  - ### PARAM_SYNC_CAMERA

    public static final java.lang.String PARAM_SYNC_CAMERA
    See Also:
      Constant Field Values

  - ### PARAM_SECRET_KEY

    public static final java.lang.String PARAM_SECRET_KEY
    See Also:
      Constant Field Values

  - ### PARAM_LIGHT_CAMERA_BUFFER_ENABLED

    public static final java.lang.String PARAM_LIGHT_CAMERA_BUFFER_ENABLED
    See Also:
      Constant Field Values

  - ### PARAM_NETWORK_IP

    public static final java.lang.String PARAM_NETWORK_IP
    See Also:
      Constant Field Values

  - ### PARAM_NETWORK_MASK

    public static final java.lang.String PARAM_NETWORK_MASK
    See Also:
      Constant Field Values

  - ### PARAM_CONTRACT_NUMBER

    public static final java.lang.String PARAM_CONTRACT_NUMBER
    See Also:
      Constant Field Values

  - ### PARAM_PARENT_ID

    public static final java.lang.String PARAM_PARENT_ID
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### ForpostConstants

    public ForpostConstants()